Bug 4166 - [UPDATE REQUEST] nvidia-current
: [UPDATE REQUEST] nvidia-current
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-25 18:04 MSD by Eugene Shatokhin
Modified: 2014-09-18 23:07 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published-


Attachments
logs (134.00 KB, application/x-7z-compressed)
2014-07-07 16:00 MSD, Vladimir Potapov
Details
logs (340.86 KB, application/zip)
2014-07-08 09:01 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-06-25 18:04:29 MSD
The packages for nvidia-current have been updated. The binary blobs remain unchanged, only the build instructions are affected.
Comment 1 Eugene Shatokhin 2014-06-25 18:14:13 MSD
Advisory:
The packages for nvidia-current have been updated. The binary blobs remain unchanged, only the build instructions are affected.

The main change is that the kernel driver is now built and installed during the installation of dkms-nvidia-current rather than at the following boot.

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/1947226
x86_64:
https://abf.rosalinux.ru/build_lists/1947227

Hints for testing:
Please check that the proprietary driver already works OK after the first reboot. Before this update, some systems needed 2 reboots for the driver to work properly. This should be fixed now.
Comment 2 Vladimir Potapov 2014-07-07 16:00:17 MSD
Created attachment 3030 [details]
logs

Зависает при загрузке, двойная перезагрузка не помогает.
************
QA Denied
Comment 3 Vladimir Potapov 2014-07-08 09:00:43 MSD
Блэклистинг не помог.
Comment 4 Vladimir Potapov 2014-07-08 09:01:12 MSD
Created attachment 3032 [details]
logs
Comment 5 Eugene Shatokhin 2014-07-08 11:01:44 MSD
(In reply to comment #4)
> Created attachment 3032 [details]
> logs

nouveau is still loaded and probably messes the things up the same way as before.

Please provide also the output of 'lsmod' when the failure occurs.

Besides, could you also try the following then.
1. Unload nouveau manually:
    rmmod nouveau
2. Load nvidia-current:
    modprobe nvidia-current
3. Post the output of journalctl -ab here as well as the output of lsmod again.

I need to check if it is indeed a conflict between nouveau and nvidia-current or something else.
Comment 6 Eugene Shatokhin 2014-07-08 12:46:49 MSD
In addition to the info above, please provide the output of /proc/cmdline when the problem occurs.
Comment 7 Vladimir Potapov 2014-07-08 12:52:26 MSD
Интересно, что на системе рядом (даже тот же диск) обновление на новую нвидию прошло нормально.Т.е. не в драйвере дело. Ищу...
Comment 8 Vladimir Potapov 2014-07-10 19:24:34 MSD
nvidia-current-331.38-6
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1947226/i586/non-free/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1947227/x86_64/non-free/release/
****************** Advisory *****************
The packages for nvidia-current have been updated. The binary blobs remain unchanged, only the build instructions are affected.

The main change is that the kernel driver is now built and installed during the installation of dkms-nvidia-current rather than at the following boot.
*********************************************
QA Verified
Comment 9 Denis Silakov 2014-09-18 23:07:00 MSD
It seems that we somehow forgot to publish this one. But since only build instructions were modified, we don't consider this update to be necessayr for users. So let's leave the current situation 'as is', in any case users will get updates with Fresh R4 release.